Bug 1428512 - all volumes in systems are shown under a pod summary
Summary: all volumes in systems are shown under a pod summary
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: GA
: 5.7.2
Assignee: zakiva
QA Contact: Dafna Ron
URL:
Whiteboard: container
Depends On: 1406770
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 17:36 UTC by Satoe Imaishi
Modified: 2017-04-12 14:41 UTC (History)
9 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1406770
Environment:
Last Closed: 2017-04-12 14:41:26 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-02 19:25:50 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/534e54bf63ef803bfb1ffade4761a2442ba2b66d

commit 534e54bf63ef803bfb1ffade4761a2442ba2b66d
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Mon Jan 30 14:13:49 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 2 14:20:41 2017 -0500

    Merge pull request #13612 from zakiva/fix_pod_volumes
    
    Fix Container Group and Container Volumes relation
    (cherry picked from commit f59f112cb180c1b29f763b5cffb540d51e47b385)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1428512

 app/models/container_group.rb                      |  2 +-
 app/models/manageiq/providers/container_manager.rb |  2 +-
 spec/factories/container_volume.rb                 |  5 +++
 spec/factories/persistent_volume.rb                |  5 +++
 .../container_manager/container_group_spec.rb      | 48 +++++++++++++++++++++-
 5 files changed, 59 insertions(+), 3 deletions(-)
 create mode 100644 spec/factories/container_volume.rb
 create mode 100644 spec/factories/persistent_volume.rb

Comment 3 Dafna Ron 2017-03-23 11:56:06 UTC
I no longer see all volumes under the pods. 
moving to verified on cfme-5.7.2.0-1.el7cf.x86_64

Comment 5 errata-xmlrpc 2017-04-12 14:41:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.